Bug 1341159 - network timeout aborts operation, instead of trying to resume or change mirror
Summary: network timeout aborts operation, instead of trying to resume or change mirror
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1308538
TreeView+ depends on / blocked
 
Reported: 2016-05-31 11:47 UTC by Kamil Páral
Modified: 2017-12-12 10:42 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:42:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1335414 None None None Never

Internal Trackers: 1335414

Description Kamil Páral 2016-05-31 11:47:17 UTC
Description of problem:
Unlike with DNF, a network timeout aborts the whole operation in gnome-software. This can be easily seen with system upgrades, where you download lots of RPMs and timeouts occur frequently (see bug 1335414).

Currently, gnome-software shows an error message like this:
"
Detailed errors from the package manager follow:

cannot download Packages/r/rest-0.8.0-1.fc24.x86_64.rpm to /var/cache/PackageKit/24/metadata/fedora/packages/: Curl error (28): Timeout was reached for https://mirrors.fedoraproject.org/metalink?repo=fedora-24&arch=x86_64 [Operation too slow. Less than 1000 bytes/sec transferred the last 120 seconds]
"

and the whole operation (system upgrade) fails and you need to start it again. That means, that instead of you just pressing Download and waiting for a few hours, you need to constantly baby-sit gnome-software, check it every few minutes and confirm any error messages and start the download manually again. Otherwise, as it happened to me, you come back in a few hours later only to find out that it downloaded a few packages and then failed and sit idle for hours.

Please implement automatic network retry, either a simple one (try the same server again), or a more clever one (when the server is slow, switch to a different one), same as DNF does it.

(Btw, isn't it possible to share the downloader code with DNF? Isn't librepo used for this?)

Version-Release number of selected component (if applicable):
PackageKit-1.1.1-2.fc23
libgusb-0.2.9-1.fc23
libhif-0.2.2-4.fc23
gnome-software-3.20.3-1.fc23
libappstream-glib-0.5.14-1.fc23
json-glib-1.2.0-1.fc23

How reproducible:
often

Steps to Reproduce:
1. either sit on a network where the timeouts occur from time to time when downloading many packages (system upgrade), or introduce the timeout yourself somehow
2. see gnome-software does not retry or switches servers (see pkmon output), just fails

Comment 1 Fedora End Of Life 2016-11-25 09:10:19 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Kamil Páral 2016-11-25 09:36:58 UTC
Tell me if you have time to look into this and I'll re-test and provide fresh logs if needed.

Comment 3 Fedora End Of Life 2017-11-16 18:36:23 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:42:00 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.